import type { BaseItem } from '@algolia/autocomplete-core';
import type { AutocompletePlugin } from '@algolia/autocomplete-js';
declare type CreateAnimatedPlaceholderPluginProps = {
    placeholders: string[];
    placeholderTemplate: (currentPlaceholder: string) => string;
    wordDelay?: number;
    letterDelay?: number;
};
declare type CustomAutocompletePlugin<TItem extends BaseItem, TData> = AutocompletePlugin<TItem, TData> & {
    unsubscribe?: () => void;
};
export declare function createAnimatedPlaceholderPlugin<TItem extends Record<string, unknown>, TData>({ placeholders, placeholderTemplate, wordDelay, letterDelay, }: CreateAnimatedPlaceholderPluginProps): CustomAutocompletePlugin<TItem, TData>;
export {};
